शीर्षक यह सब वास्तव में कहता है, मेरा पोम नीचे दिखाया गया है:

<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>org.example</groupId>
    <artifactId>CouncillorsApp</artifactId>
    <version>1.0-SNAPSHOT</version>

    <dependencies>
        <dependency>
            <groupId>org.mongodb</groupId>
            <artifactId>mongo-java-driver</artifactId>
            <version>3.12.6</version>
        </dependency>
    </dependencies>
</project>

निम्नलिखित त्रुटि दी गई है:

"निर्भरता 'org.mongodb: mongodb-driver-sync:3.10.2' नहीं मिला"

मैं Java 14.0.2 और IntelliJ के नवीनतम संस्करण का उपयोग कर रहा हूँ

1
Sean E. 30 जुलाई 2020, 02:43

2 जवाब

सबसे बढ़िया उत्तर

तो IntelliJ को पुनरारंभ करने के बाद उपरोक्त कोड ठीक काम करता प्रतीत होता है। मुझे यकीन नहीं है कि समस्या कहां थी, लेकिन निर्भरता अब पोम में किसी भी बदलाव के बिना मिल रही है।

0
Sean E. 31 जुलाई 2020, 00:34

कृपया इंस्टॉलेशन पढ़ें ए>

आप यह कोशिश कर सकते हैं

<dependencies>
    <dependency>
        <groupId>org.mongodb</groupId>
        <artifactId>mongodb-driver</artifactId>
        <version>3.12.6</version>
    </dependency>
</dependencies>
0
dinobi 30 जुलाई 2020, 03:00